//
// nav-toggler
// mod_navToggler
//

// variables
$hamburger-stroke-width: 2px;

// mod_navToggler
.mod_navToggler {
  // reset
  line-height: initial;

  @include mq-min($offcanvas) {
    display: none;
  }

  // button-nav-toggler
  .nav-toggler {
    @extend %button-reset;
    position: relative;
    cursor: pointer;
    width: 1.5rem;
    height: 1.5rem;
    z-index: 9999;
  }

  // icon-hamburger
  .icon-hamburger {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);

    &,
    &::after,
    &::before {
      width: inherit;
      height: $hamburger-stroke-width;
      background: $color-highlight;
      @include transition;
    }

    &::after,
    &::before {
      content: '';
      position: absolute;
      left: 0;
      transform: rotate(0deg);
    }

    &::before {
      top: -0.5rem;

    }

    &::after {
      top: 0.5rem;
    }

    // animation
    .nav-mobile-is-visible & {
      & {
        background-color: transparent;
      }

      &::before {
        top: 0;
        transform: rotate(45deg);
      }

      &::after {
        top: 0;
        transform: rotate(-45deg);
      }
    }
  }
}
